curl --request GET \
--url https://api.kajabi.com/v1/blog_posts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "blog_posts",
"attributes": {
"title": "<string>",
"url": "<string>",
"content": "<string>",
"slug": "<string>",
"page_title": "<string>",
"page_description": "<string>",
"published_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"blog": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Shows details of a blog post
title (string) - Title of the blog posturl (string) - URL of the blog postcontent (string) - Content of the blog postslug (string) - Slug of the blog postpage_title (string) - Page title of the blog postpage_description (string) - Page description of the blog postpublished_at (string) - Date and time the blog post was publishedcreated_at (string) - Date and time the blog post was createdupdated_at (string) - Date and time the blog post was updated_atimage_url (string) - URL of the image associated with the blog postimage_alt_text (string) - Alt text for the image associated with the blog posttags (array) - Tags associated with the blog postGET /v1/blog_posts/123?fields[blog_posts]=titleResponse will only include requested fields
{
"data": {
"id": "123",
"type": "blog_posts",
"attributes": {
"title": "Announcing New Course"
}
}
}
curl --request GET \
--url https://api.kajabi.com/v1/blog_posts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "blog_posts",
"attributes": {
"title": "<string>",
"url": "<string>",
"content": "<string>",
"slug": "<string>",
"page_title": "<string>",
"page_description": "<string>",
"published_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"blog": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
BlogPost ID
Partial attributes as specified, e.g. fields[blog_posts]=title
Was this page helpful?